Subject: bug#869: Bug in handling invisible text, and bug in Pmail.

From: "Richard M. Stallman" <[email-masked]>
Date: Wed, 03 Sep 2008 20:11:14 -0400

> I think it is also a bug in Pmail.  Pmail should set the buffer boundaries
     > after that text, rather than making it invisible.

    I don't think it is that simple because "that text" is simply part of
    the collection of headers, some of which have been specified to be
    invisible as Emacs displays the message, i.e. the X-Coding-System:
    header can, according to rfc2822, precede or follow the Date: header.

Why does that make it not simple?  You can move the uninteresting headers
to the top and put point-min after them.

Also, if it is necessary to display the decoded message in a separate
buffer then Pmail can delete the unwanted headers in that buffer.